socializer/socializer

View on GitHub
Gemfile.lock

Summary

Maintainability
Test Coverage
PATH
  remote: .
  specs:
    socializer (0.1.13)
      bcrypt (~> 3.1.16)
      bootstrap-sass (~> 3.4.1)
      coffee-rails (~> 5.0.0)
      country_select (~> 4.0.0)
      draper (~> 4.0.1)
      elasticsearch-rails (~> 7.1.1)
      enumerize (~> 2.3.1)
      jquery-ui-rails (~> 6.0.1)
      omniauth (~> 1.9.1)
      omniauth-facebook (~> 8.0.0)
      omniauth-identity (~> 2.0.0)
      omniauth-linkedin (~> 0.2.0)
      omniauth-openid (~> 1.0.1)
      omniauth-twitter (~> 1.4.0)
      rails (~> 6.0.3)
      sass-rails (~> 6.0.0)
      simple_form (~> 5.0.3)
      uglifier (>= 4.1.19)
      webpacker (~> 5.2)

GEM
  remote: https://rubygems.org/
  specs:
    actioncable (6.0.3.4)
      actionpack (= 6.0.3.4)
      nio4r (~> 2.0)
      websocket-driver (>= 0.6.1)
    actionmailbox (6.0.3.4)
      actionpack (= 6.0.3.4)
      activejob (= 6.0.3.4)
      activerecord (= 6.0.3.4)
      activestorage (= 6.0.3.4)
      activesupport (= 6.0.3.4)
      mail (>= 2.7.1)
    actionmailer (6.0.3.4)
      actionpack (= 6.0.3.4)
      actionview (= 6.0.3.4)
      activejob (= 6.0.3.4)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (6.0.3.4)
      actionview (= 6.0.3.4)
      activesupport (= 6.0.3.4)
      rack (~> 2.0, >= 2.0.8)
      rack-test (>= 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.2.0)
    actiontext (6.0.3.4)
      actionpack (= 6.0.3.4)
      activerecord (= 6.0.3.4)
      activestorage (= 6.0.3.4)
      activesupport (= 6.0.3.4)
      nokogiri (>= 1.8.5)
    actionview (6.0.3.4)
      activesupport (= 6.0.3.4)
      builder (~> 3.1)
      erubi (~> 1.4)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.1, >= 1.2.0)
    activejob (6.0.3.4)
      activesupport (= 6.0.3.4)
      globalid (>= 0.3.6)
    activemodel (6.0.3.4)
      activesupport (= 6.0.3.4)
    activemodel-serializers-xml (1.0.2)
      activemodel (> 5.x)
      activesupport (> 5.x)
      builder (~> 3.1)
    activerecord (6.0.3.4)
      activemodel (= 6.0.3.4)
      activesupport (= 6.0.3.4)
    activestorage (6.0.3.4)
      actionpack (= 6.0.3.4)
      activejob (= 6.0.3.4)
      activerecord (= 6.0.3.4)
      marcel (~> 0.3.1)
    activesupport (6.0.3.4)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (>= 0.7, < 2)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
      zeitwerk (~> 2.2, >= 2.2.2)
    addressable (2.7.0)
      public_suffix (>= 2.0.2, < 5.0)
    ast (2.4.1)
    autoprefixer-rails (10.0.1.3)
      execjs
    backport (1.1.2)
    bcrypt (3.1.16)
    benchmark (0.1.0)
    bootstrap-sass (3.4.1)
      autoprefixer-rails (>= 5.2.1)
      sassc (>= 2.0.0)
    builder (3.2.4)
    byebug (11.1.3)
    capybara (3.33.0)
      addressable
      mini_mime (>= 0.1.3)
      nokogiri (~> 1.8)
      rack (>= 1.6.0)
      rack-test (>= 0.6.3)
      regexp_parser (~> 1.5)
      xpath (~> 3.2)
    childprocess (3.0.0)
    code_analyzer (0.5.2)
      sexp_processor
    coderay (1.1.3)
    coffee-rails (5.0.0)
      coffee-script (>= 2.2.0)
      railties (>= 5.2.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.12.2)
    coffeelint (1.16.1)
      coffee-script
      execjs
      json
    concurrent-ruby (1.1.7)
    countries (3.0.1)
      i18n_data (~> 0.10.0)
      sixarm_ruby_unaccent (~> 1.1)
      unicode_utils (~> 1.4)
    country_select (4.0.0)
      countries (~> 3.0)
      sort_alphabetical (~> 1.0)
    coveralls_reborn (0.18.0)
      simplecov (>= 0.18.1, < 0.20.0)
      term-ansicolor (~> 1.6)
      thor (>= 0.20.3, < 2.0)
      tins (~> 1.16)
    crass (1.0.6)
    database_cleaner (1.8.5)
    database_cleaner-active_record (1.8.0)
      activerecord
      database_cleaner (~> 1.8.0)
    diff-lcs (1.4.4)
    docile (1.3.2)
    draper (4.0.1)
      actionpack (>= 5.0)
      activemodel (>= 5.0)
      activemodel-serializers-xml (>= 1.0)
      activesupport (>= 5.0)
      request_store (>= 1.0)
    e2mmap (0.1.0)
    elasticsearch-rails (7.1.1)
    enumerize (2.3.1)
      activesupport (>= 3.2)
    erubi (1.9.0)
    erubis (2.7.0)
    execjs (2.7.0)
    factory_bot (6.1.0)
      activesupport (>= 5.0.0)
    factory_bot_rails (6.1.0)
      factory_bot (~> 6.1.0)
      railties (>= 5.0.0)
    faraday (1.1.0)
      multipart-post (>= 1.2, < 3)
      ruby2_keywords
    ffi (1.13.1)
    globalid (0.4.2)
      activesupport (>= 4.2.0)
    hashie (4.1.0)
    highline (2.0.3)
    i18n (1.8.5)
      concurrent-ruby (~> 1.0)
    i18n-tasks (0.9.31)
      activesupport (>= 4.0.2)
      ast (>= 2.1.0)
      erubi
      highline (>= 2.0.0)
      i18n
      parser (>= 2.2.3.0)
      rails-i18n
      rainbow (>= 2.2.2, < 4.0)
      terminal-table (>= 1.5.1)
    i18n_data (0.10.0)
    inch (0.8.0)
      pry
      sparkr (>= 0.2.0)
      term-ansicolor
      yard (~> 0.9.12)
    jaro_winkler (1.5.4)
    jquery-ui-rails (6.0.1)
      railties (>= 3.2.16)
    json (2.3.1)
    jwt (2.2.2)
    listen (3.2.1)
      rb-fsevent (~> 0.10, >= 0.10.3)
      rb-inotify (~> 0.9, >= 0.9.10)
    loofah (2.7.0)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    mail (2.7.1)
      mini_mime (>= 0.1.1)
    marcel (0.3.3)
      mimemagic (~> 0.3.2)
    maruku (0.7.3)
    method_source (1.0.0)
    mimemagic (0.3.5)
    mini_mime (1.0.2)
    mini_portile2 (2.4.0)
    minitest (5.14.2)
    multi_json (1.15.0)
    multi_xml (0.6.0)
    multipart-post (2.1.1)
    nio4r (2.5.4)
    nokogiri (1.10.10)
      mini_portile2 (~> 2.4.0)
    oauth (0.5.4)
    oauth2 (1.4.4)
      faraday (>= 0.8, < 2.0)
      jwt (>= 1.0, < 3.0)
      multi_json (~> 1.3)
      multi_xml (~> 0.5)
      rack (>= 1.2, < 3)
    omniauth (1.9.1)
      hashie (>= 3.4.6)
      rack (>= 1.6.2, < 3)
    omniauth-facebook (8.0.0)
      omniauth-oauth2 (~> 1.2)
    omniauth-identity (2.0.0)
      bcrypt
      omniauth
    omniauth-linkedin (0.2.0)
      omniauth-oauth (~> 1.0)
    omniauth-oauth (1.1.0)
      oauth
      omniauth (~> 1.0)
    omniauth-oauth2 (1.7.0)
      oauth2 (~> 1.4)
      omniauth (~> 1.9)
    omniauth-openid (1.0.1)
      omniauth (~> 1.0)
      rack-openid (~> 1.3.1)
    omniauth-twitter (1.4.0)
      omniauth-oauth (~> 1.1)
      rack
    parallel (1.19.2)
    parser (2.7.2.0)
      ast (~> 2.4.1)
    pry (0.13.1)
      coderay (~> 1.1)
      method_source (~> 1.0)
    pry-rails (0.3.9)
      pry (>= 0.10.4)
    public_suffix (4.0.6)
    rack (2.2.3)
    rack-openid (1.3.1)
      rack (>= 1.1.0)
      ruby-openid (>= 2.1.8)
    rack-proxy (0.6.5)
      rack
    rack-test (1.1.0)
      rack (>= 1.0, < 3)
    rails (6.0.3.4)
      actioncable (= 6.0.3.4)
      actionmailbox (= 6.0.3.4)
      actionmailer (= 6.0.3.4)
      actionpack (= 6.0.3.4)
      actiontext (= 6.0.3.4)
      actionview (= 6.0.3.4)
      activejob (= 6.0.3.4)
      activemodel (= 6.0.3.4)
      activerecord (= 6.0.3.4)
      activestorage (= 6.0.3.4)
      activesupport (= 6.0.3.4)
      bundler (>= 1.3.0)
      railties (= 6.0.3.4)
      sprockets-rails (>= 2.0.0)
    rails-controller-testing (1.0.5)
      actionpack (>= 5.0.1.rc1)
      actionview (>= 5.0.1.rc1)
      activesupport (>= 5.0.1.rc1)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-dummy (0.1.0)
      railties
    rails-html-sanitizer (1.3.0)
      loofah (~> 2.3)
    rails-i18n (6.0.0)
      i18n (>= 0.7, < 2)
      railties (>= 6.0.0, < 7)
    rails_best_practices (1.20.0)
      activesupport
      code_analyzer (>= 0.5.1)
      erubis
      i18n
      json
      require_all (~> 3.0)
      ruby-progressbar
    railties (6.0.3.4)
      actionpack (= 6.0.3.4)
      activesupport (= 6.0.3.4)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.20.3, < 2.0)
    rainbow (3.0.0)
    rake (13.0.1)
    rb-fsevent (0.10.4)
    rb-inotify (0.10.1)
      ffi (~> 1.0)
    regexp_parser (1.8.2)
    request_store (1.5.0)
      rack (>= 1.4)
    require_all (3.0.0)
    reverse_markdown (2.0.0)
      nokogiri
    rexml (3.2.4)
    rspec-core (3.10.0)
      rspec-support (~> 3.10.0)
    rspec-expectations (3.10.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.10.0)
    rspec-mocks (3.10.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.10.0)
    rspec-rails (4.0.1)
      actionpack (>= 4.2)
      activesupport (>= 4.2)
      railties (>= 4.2)
      rspec-core (~> 3.9)
      rspec-expectations (~> 3.9)
      rspec-mocks (~> 3.9)
      rspec-support (~> 3.9)
    rspec-support (3.10.0)
    rubocop (0.93.1)
      parallel (~> 1.10)
      parser (>= 2.7.1.5)
      rainbow (>= 2.2.2, < 4.0)
      regexp_parser (>= 1.8)
      rexml
      rubocop-ast (>= 0.6.0)
      ruby-progressbar (~> 1.7)
      unicode-display_width (>= 1.4.0, < 2.0)
    rubocop-ast (1.1.1)
      parser (>= 2.7.1.5)
    rubocop-performance (1.8.1)
      rubocop (>= 0.87.0)
      rubocop-ast (>= 0.4.0)
    rubocop-rails (2.8.1)
      activesupport (>= 4.2.0)
      rack (>= 1.1)
      rubocop (>= 0.87.0)
    rubocop-rspec (1.44.1)
      rubocop (~> 0.87)
      rubocop-ast (>= 0.7.1)
    ruby-openid (2.9.2)
    ruby-progressbar (1.10.1)
    ruby2_keywords (0.0.2)
    rubyzip (2.3.0)
    sass (3.7.4)
      sass-listen (~> 4.0.0)
    sass-listen (4.0.0)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
    sass-rails (6.0.0)
      sassc-rails (~> 2.1, >= 2.1.1)
    sassc (2.4.0)
      ffi (~> 1.9)
    sassc-rails (2.1.2)
      railties (>= 4.0.0)
      sassc (>= 2.0)
      sprockets (> 3.0)
      sprockets-rails
      tilt
    scss_lint (0.59.0)
      sass (~> 3.5, >= 3.5.5)
    selenium-webdriver (3.142.7)
      childprocess (>= 0.5, < 4.0)
      rubyzip (>= 1.2.2)
    semantic_range (2.3.0)
    sexp_processor (4.15.1)
    shoulda-matchers (4.4.1)
      activesupport (>= 4.2.0)
    simple_form (5.0.3)
      actionpack (>= 5.0)
      activemodel (>= 5.0)
    simplecov (0.19.1)
      docile (~> 1.1)
      simplecov-html (~> 0.11)
    simplecov-html (0.12.3)
    sixarm_ruby_unaccent (1.2.0)
    solargraph (0.39.17)
      backport (~> 1.1)
      benchmark
      bundler (>= 1.17.2)
      e2mmap
      jaro_winkler (~> 1.5)
      maruku (~> 0.7, >= 0.7.3)
      nokogiri (~> 1.9, >= 1.9.1)
      parser (~> 2.3)
      reverse_markdown (>= 1.0.5, < 3)
      rubocop (~> 0.52)
      thor (~> 1.0)
      tilt (~> 2.0)
      yard (~> 0.9, >= 0.9.24)
    sort_alphabetical (1.1.0)
      unicode_utils (>= 1.2.2)
    sparkr (0.4.1)
    sprockets (4.0.2)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.2.2)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    sqlite3 (1.4.2)
    sync (0.5.0)
    term-ansicolor (1.7.1)
      tins (~> 1.0)
    terminal-table (2.0.0)
      unicode-display_width (~> 1.1, >= 1.1.1)
    thor (1.0.1)
    thread_safe (0.3.6)
    tilt (2.0.10)
    tins (1.26.0)
      sync
    tzinfo (1.2.7)
      thread_safe (~> 0.1)
    uglifier (4.2.0)
      execjs (>= 0.3.0, < 3)
    unicode-display_width (1.7.0)
    unicode_utils (1.4.0)
    webdrivers (4.4.1)
      nokogiri (~> 1.6)
      rubyzip (>= 1.3.0)
      selenium-webdriver (>= 3.0, < 4.0)
    webpacker (5.2.1)
      activesupport (>= 5.2)
      rack-proxy (>= 0.6.1)
      railties (>= 5.2)
      semantic_range (>= 2.3.0)
    websocket-driver (0.7.3)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.5)
    xpath (3.2.0)
      nokogiri (~> 1.8)
    yard (0.9.25)
    zeitwerk (2.4.1)

PLATFORMS
  ruby

DEPENDENCIES
  bundler (~> 2.1.1)
  byebug
  capybara (>= 2.15, < 4.0)
  coffeelint (~> 1.16.1)
  coveralls_reborn (~> 0.18.0)
  database_cleaner-active_record (~> 1.8)
  factory_bot_rails (~> 6.1.0)
  i18n-tasks (~> 0.9.31)
  inch (~> 0.8.0)
  listen
  pry-rails
  rails-controller-testing
  rails-dummy (= 0.1.0)
  rails_best_practices (~> 1.20.0)
  rake (~> 13.0.1)
  rspec-rails (~> 4.0.1)
  rubocop (~> 0.93.1)
  rubocop-performance (~> 1.8.1)
  rubocop-rails (~> 2.8.1)
  rubocop-rspec (~> 1.44.1)
  scss_lint (~> 0.59.0)
  shoulda-matchers (~> 4.4.1)
  simplecov (~> 0.19.1)
  socializer!
  solargraph
  sqlite3 (~> 1.4.1)
  webdrivers (~> 4.0)

BUNDLED WITH
   2.1.4